package com.ecep.contract.controller.table.cell;

import com.ecep.contract.SpringApp;
import com.ecep.contract.service.DepartmentService;
import com.ecep.contract.vo.DepartmentVo;

import lombok.NoArgsConstructor;

@NoArgsConstructor
public class DepartmentTableCell<T> extends AsyncUpdateTableCell<T, Integer, DepartmentVo> {
    public DepartmentTableCell(DepartmentService service) {
        setService(service);
    }

    @Override
    protected DepartmentService getServiceBean() {
        return SpringApp.getBean(DepartmentService.class);
    }

}
